Package org.eclipse.birt.chart.model.attribute

# Enum ActionType

java.lang.Object
java.lang.Enum<ActionType>
org.eclipse.birt.chart.model.attribute.ActionType

All Implemented Interfaces:
  `Serializable`, `Comparable<ActionType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum ActionType extends Enum<ActionType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Action Type', and utility methods for working with them. This type defines the allowed values for Action types (for interactivity with chart). Any new Action type needs to be added here to be supported.

See Also:
  - `AttributePackage.getActionType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CALL_BACK_LITERAL`
The 'Call Back' literal object.
`HIGHLIGHT_LITERAL`
The 'Highlight' literal object.
`INVOKE_SCRIPT_LITERAL`
The 'Invoke Script' literal object.
`SHOW_TOOLTIP_LITERAL`
The 'Show Tooltip' literal object.
`TOGGLE_DATA_POINT_VISIBILITY_LITERAL`
The 'Toggle Data Point Visibility' literal object.
`TOGGLE_VISIBILITY_LITERAL`
The 'Toggle Visibility' literal object.
`URL_REDIRECT_LITERAL`
The 'URL Redirect' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CALL_BACK`
The 'Call Back' literal value.
`static final int`
`HIGHLIGHT`
The 'Highlight' literal value.
`static final int`
`INVOKE_SCRIPT`
The 'Invoke Script' literal value.
`static final int`
`SHOW_TOOLTIP`
The 'Show Tooltip' literal value.
`static final int`
`TOGGLE_DATA_POINT_VISIBILITY`
The 'Toggle Data Point Visibility' literal value.
`static final int`
`TOGGLE_VISIBILITY`
The 'Toggle Visibility' literal value.
`static final int`
`URL_REDIRECT`
The 'URL Redirect' literal value.
`static final List<ActionType>`
`VALUES`
A public read-only list of all the 'Action Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ActionType`
`get(int value)`
Returns the 'Action Type' literal with the specified integer value.
`static ActionType`
`get(String literal)`
Returns the 'Action Type' literal with the specified literal value.
`static ActionType`
`getByName(String name)`
Returns the 'Action Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ActionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ActionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### URL_REDIRECT_LITERAL

public static final ActionType URL_REDIRECT_LITERAL
The 'URL Redirect' literal object.

If the meaning of 'URL Redirect' literal object isn't clear, there really should be more of a description here...

See Also:
  - `URL_REDIRECT`

### SHOW_TOOLTIP_LITERAL

public static final ActionType SHOW_TOOLTIP_LITERAL
The 'Show Tooltip' literal object.

If the meaning of 'Show Tooltip' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SHOW_TOOLTIP`

### TOGGLE_VISIBILITY_LITERAL

public static final ActionType TOGGLE_VISIBILITY_LITERAL
The 'Toggle Visibility' literal object.

If the meaning of 'Toggle Visibility' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TOGGLE_VISIBILITY`

### INVOKE_SCRIPT_LITERAL

public static final ActionType INVOKE_SCRIPT_LITERAL
The 'Invoke Script' literal object.

If the meaning of 'Invoke Script' literal object isn't clear, there really should be more of a description here...

See Also:
  - `INVOKE_SCRIPT`

### HIGHLIGHT_LITERAL

public static final ActionType HIGHLIGHT_LITERAL
The 'Highlight' literal object.

See Also:
  - `HIGHLIGHT`

### CALL_BACK_LITERAL

public static final ActionType CALL_BACK_LITERAL
The 'Call Back' literal object.

See Also:
  - `CALL_BACK`

### TOGGLE_DATA_POINT_VISIBILITY_LITERAL

public static final ActionType TOGGLE_DATA_POINT_VISIBILITY_LITERAL
The 'Toggle Data Point Visibility' literal object.

See Also:
  - `TOGGLE_DATA_POINT_VISIBILITY`

## Field Details

### URL_REDIRECT

public static final int URL_REDIRECT
The 'URL Redirect' literal value.

See Also:
  - `URL_REDIRECT_LITERAL`
  - Constant Field Values

### SHOW_TOOLTIP

public static final int SHOW_TOOLTIP
The 'Show Tooltip' literal value.

See Also:
  - `SHOW_TOOLTIP_LITERAL`
  - Constant Field Values

### TOGGLE_VISIBILITY

public static final int TOGGLE_VISIBILITY
The 'Toggle Visibility' literal value.

See Also:
  - `TOGGLE_VISIBILITY_LITERAL`
  - Constant Field Values

### INVOKE_SCRIPT

public static final int INVOKE_SCRIPT
The 'Invoke Script' literal value.

See Also:
  - `INVOKE_SCRIPT_LITERAL`
  - Constant Field Values

### HIGHLIGHT

public static final int HIGHLIGHT
The 'Highlight' literal value.

If the meaning of 'Highlight' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HIGHLIGHT_LITERAL`
  - Constant Field Values

### CALL_BACK

public static final int CALL_BACK
The 'Call Back' literal value.

If the meaning of 'Call Back' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CALL_BACK_LITERAL`
  - Constant Field Values

### TOGGLE_DATA_POINT_VISIBILITY

public static final int TOGGLE_DATA_POINT_VISIBILITY
The 'Toggle Data Point Visibility' literal value.

If the meaning of 'Toggle Data Point Visibility' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TOGGLE_DATA_POINT_VISIBILITY_LITERAL`
  - Constant Field Values

### VALUES

public static final List<ActionType> VALUES
A public read-only list of all the 'Action Type' enumerators.

## Method Details

### values

public static ActionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ActionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ActionType get(String literal)
Returns the 'Action Type' literal with the specified literal value.

### getByName

public static ActionType getByName(String name)
Returns the 'Action Type' literal with the specified name.

### get

public static ActionType get(int value)
Returns the 'Action Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ActionType>`